> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cabrapi.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir Categoria

> Aprenda a excluir uma categoria da loja usando o endpoint DELETE /stores/{storeId}/categories/{categoryId}.

## 📌 Endpoint

`DELETE /stores/{storeId}/categories/{categoryId}`

Remove uma categoria da loja.

***

## 🔐 Autenticação

* **Rota privada**.
* Envie `Authorization` com sua API Key.

***

## 🧾 Parâmetros de rota

| Parâmetro | Tipo | Obrigatório | Descrição |
| - | - | - | - |
| `storeId` | string | Sim | ID da loja |
| `categoryId` | string | Sim | ID da categoria |

***

## ✅ Exemplo de requisição

```bash theme={null}
curl -X DELETE "https://api.cabrapi.com.br/v1/stores/STORE_ID/categories/CATEGORY_ID" \
	-H "Authorization: SUA_API_KEY"
```

***

## 📦 Resposta de sucesso (200)

```json theme={null}
{
	"code": "CATEGORY_DELETED"
}
```

***

## ⚠️ Possíveis erros

* `400 INVALID_DATA` → parâmetros inválidos
* `401 API_KEY_NOT_PROVIDED` → header `Authorization` não enviado (ou `TOKEN_NOT_PROVIDED` via Bearer)
* `401 INVALID_API_KEY` → API Key inválida (ou `INVALID_TOKEN` / `TOKEN_EXPIRED` / `SESSION_NOT_FOUND` / `SESSION_EXPIRED` / `UNAUTHENTICATED` via Bearer)
* `403 USER_DISABLED` → usuário desativado ou excluído
* `403 NO_ACTIVE_SUBSCRIPTION` → plano inativo ou expirado (ou `PENDING_2FA` via Bearer)
* `403 STORE_NOT_FOUND` → loja não encontrada ou sem permissão
* `404 CATEGORY_NOT_FOUND` → categoria não encontrada
* `429 RATE_LIMIT_EXCEEDED` → limite de requisições por minuto excedido
* `500 INTERNAL_SERVER_ERROR` → erro interno
* `503 SERVICE_UNAVAILABLE` → serviço ou banco de dados indisponível


## OpenAPI

````yaml DELETE /stores/{storeId}/categories/{categoryId}
openapi: 3.1.0
info:
  title: caBRAPI
  version: 1.0.0
servers:
  - url: https://api.cabrapi.com.br/v1
security: []
paths:
  /stores/{storeId}/categories/{categoryId}:
    delete:
      tags:
        - Categories
      summary: Delete category
      operationId: deleteCategory
      parameters:
        - $ref: '#/components/parameters/StoreId'
        - $ref: '#/components/parameters/CategoryId'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: CATEGORY_DELETED
                    type: string
                required:
                  - code
                type: object
          description: Delete category.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid request.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid API key.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden (inactive plan or insufficient permissions).
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Rate limit exceeded.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Service unavailable.
      security:
        - ApiKey: []
components:
  parameters:
    StoreId:
      in: path
      name: storeId
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 50
    CategoryId:
      in: path
      name: categoryId
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 50
  schemas:
    Error:
      properties:
        code:
          example: STORE_NOT_FOUND
          type: string
      required:
        - code
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: Authorization
      type: apiKey
      x-default: YOUR_API_KEY_HERE

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.